import 'dart:convert';

import 'package:example/src/screens/alert/AlertPage.dart';
import 'package:example/src/screens/contact/ContactPage.dart';
import 'package:example/src/screens/picker/PickerPage.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_kz_library/flutter_kz_library.dart';

import 'AccountInfoPage.dart';

class AccountPage extends StatefulWidget {
  AccountPage({Key key}) : super(key: key);

  @override
  _AccountPageState createState() => _AccountPageState();
}

class _AccountPageState extends State<AccountPage> {
  List<SelectListModel> dataLanguage() {
    var data = List<SelectListModel>();

    data.add(SelectListModel(itemValue: "1", itemText: "C#"));
    data.add(SelectListModel(itemValue: "2", itemText: "Java"));

    return data;
  }

  List<SelectListModel> dataFoot() {
    var data = List<SelectListModel>();

    data.add(SelectListModel(itemValue: "1", itemText: "Vanilla"));
    data.add(SelectListModel(itemValue: "2", itemText: "Chocolate"));

    return data;
  }

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
          backgroundColor: Colors.teal,
          body: ListView(
            children: <Widget>[
              Card(
                child: FlatButton(
                  padding: EdgeInsets.all(0),
                  child: ListTile(
                    title: Text('Sửa thông tin'),
                  ),
                  onPressed: () {
                    Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => AccountInfoPage()),
                    );
                  },
                ),
              ),
              Card(
                child: FlatButton(
                  padding: EdgeInsets.all(0),
                  child: ListTile(
                    title: Text('slidable list'),
                  ),
                  onPressed: () {
                    Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => ContactPage()),
                    );
                  },
                ),
              ),
              Card(
                child: FlatButton(
                  padding: EdgeInsets.all(0),
                  child: ListTile(
                    title: Text('Alert'),
                  ),
                  onPressed: () {
                    Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => AlertPage()),
                    );
                  },
                ),
              ),
              Card(
                child: FlatButton(
                  padding: EdgeInsets.all(0),
                  child: ListTile(
                    title: Text('File picker'),
                  ),
                  onPressed: () {
                    Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => PickerPage()),
                    );
                  },
                ),
              ),
              CarouseSliderWidget(
                height: 200,
                items: [1, 2, 3, 4, 5].map((i) {
                  return CarouseSliderItemWidget(
                    child: ImageLocalWidget(
                      path: 'assets/images/kztek_logo.jpg',
                    ),
                    onTap: () => Helper.toastHelper.showToastInfo(
                        context: context,
                        gravity: toastGravity.center,
                        message: '$i'),
                  );
                }).toList(),
              )
            ],
          )),
    );
  }
}
