import 'package:flutter/material.dart';
import 'package:flutter_kz_library/flutter_kz_library.dart';

class AlertPage extends StatefulWidget {
  @override
  _AlertPageState createState() => _AlertPageState();
}

class _AlertPageState extends State<AlertPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('Alert'),),
      body: Column(
        children: <Widget>[
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Alert with content'),
              ),
              onPressed: () async {
                await Helper.functionHelper.showContentAlert(
                    context: context,
                    title: 'Alert with content',
                    content: Column(
                      children: <Widget>[
                        TextField(
                          decoration: InputDecoration(
                            icon: Icon(Icons.account_circle),
                            labelText: 'Username',
                          ),
                        ),
                        TextField(
                          obscureText: true,
                          decoration: InputDecoration(
                            icon: Icon(Icons.lock),
                            labelText: 'Password',
                          ),
                        ),
                      ],
                    ),
                    buttons: [
                      Statics.dialogButton(
                        onPressed: () => Navigator.pop(context),
                        child: Text(
                          "LOGIN",
                          style: TextStyle(color: Colors.white, fontSize: 20),
                        ),
                      )
                    ]
                );
              },
            ),
          ),

          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Alert error'),
              ),
              onPressed: () async {
                await Helper.functionHelper.showErrorButtonAlert(
                    context: context,
                    title: 'Flutter is more awesome with RFlutter Alert.',
                    description: '',
                    buttons: [
                      Statics.dialogButton(
                        onPressed: () => Navigator.pop(context),
                        child: Text(
                          "COOL",
                          style: TextStyle(color: Colors.white, fontSize: 20),
                        ),
                      )
                    ]
                );
              },
            ),
          ),

          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Alert warning'),
              ),
              onPressed: () async {
                await Helper.functionHelper.showWarningButtonAlert(
                    context: context,
                    title: 'Flutter is more awesome with RFlutter Alert.',
                    description: '',
                    buttons: [
                      Statics.dialogButton(
                        onPressed: () => Navigator.pop(context),
                        child: Text(
                          "COOL",
                          style: TextStyle(color: Colors.white, fontSize: 20),
                        ),
                      )
                    ]
                );
              },
            ),
          ),

          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Alert success'),
              ),
              onPressed: () async {
                await Helper.functionHelper.showSuccessButtonAlert(
                    context: context,
                    title: 'Flutter is more awesome with RFlutter Alert.',
                    description: '',
                    buttons: [
                      Statics.dialogButton(
                        onPressed: () => Navigator.pop(context),
                        child: Text(
                          "COOL",
                          style: TextStyle(color: Colors.white, fontSize: 20),
                        ),
                      )
                    ]
                );
              },
            ),
          ),
        ],
      ),
    );
  }
}
