import 'package:flutter/material.dart';
import 'package:flutter_kz_library/flutter_kz_library.dart';
import 'package:flutter_slidable/flutter_slidable.dart';

class ContactPage extends StatefulWidget {
  @override
  _ContactPageState createState() => _ContactPageState();
}

class _ContactPageState extends State<ContactPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Contacts'),
      ),
      body: ListView(
        children: <Widget>[
          Slidable(
            actionPane: SlidableDrawerActionPane(),
            actionExtentRatio: 0.25,
            child: Container(
              color: Colors.white,
              child: ListTile(
                leading: CircleAvatar(
                  backgroundColor: Colors.indigoAccent,
                  child: Text('1'),
                  foregroundColor: Colors.white,
                ),
                title: Text('Tile 1'),
                subtitle: Text('SlidableDrawerDelegate'),
              ),
            ),
            actions: <Widget>[
              IconSlideAction(
                caption: 'Archive',
                color: Colors.blue,
                icon: Icons.archive,
                onTap: () => Helper.toastHelper.showToastInfo(
                    context: context,
                    gravity: toastGravity.center,
                    message: 'Archive'),
              ),
              IconSlideAction(
                caption: 'Share',
                color: Colors.indigo,
                icon: Icons.share,
                onTap: () => Helper.toastHelper.showToastInfo(
                    context: context,
                    gravity: toastGravity.center,
                    message: 'Share'),
              ),
            ],
            secondaryActions: <Widget>[
              IconSlideAction(
                caption: 'More',
                color: Colors.black45,
                icon: Icons.more_horiz,
                onTap: () => Helper.toastHelper.showToastInfo(
                    context: context,
                    gravity: toastGravity.center,
                    message: 'More'),
              ),
              IconSlideAction(
                caption: 'Delete',
                color: Colors.red,
                icon: Icons.delete,
                onTap: () => Helper.toastHelper.showToastInfo(
                    context: context,
                    gravity: toastGravity.center,
                    message: 'Delete'),
              ),
            ],
          )
        ],
      ),
    );
  }
}
