import 'package:flutter/material.dart';
import 'package:flutter_kz_library/flutter_kz_library.dart';

class PickerPage extends StatefulWidget {
  @override
  _PickerPageState createState() => _PickerPageState();
}

class _PickerPageState extends State<PickerPage> {
  @override
  Widget build(BuildContext context) {
    var loading = Helper.progressDialogHelper.initDialogLoading(
        context: context,
        type: Statics.progressDialogType(type: progressDialog.progress),
        message: 'Loading',
        isDismissible: false);

    return Scaffold(
      appBar: AppBar(
        title: Text('File picker'),
      ),
      body: ListView(
        children: <Widget>[
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Single any file'),
              ),
              onPressed: () async {
                var file = await Helper.filePickerHelper.singleAnyFile();
                print(file.path);
              },
            ),
          ),
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Single any file path'),
              ),
              onPressed: () async {
                var path = await Helper.filePickerHelper.singleAnyFilePath();
                print(path);
              },
            ),
          ),
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Single image from photos'),
              ),
              onPressed: () async {
                var file = await Helper.filePickerHelper.singleImageFile();
                print(file.path);
              },
            ),
          ),
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Single image path from photos'),
              ),
              onPressed: () async {
                var path = await Helper.filePickerHelper.singleImageFilePath();
                print(path);
              },
            ),
          ),
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Multi any file'),
              ),
              onPressed: () async {
                await loading.show();

                var files = await Helper.filePickerHelper.multipleAnyFile();
                print(files);

                await loading.hide();
              },
            ),
          ),
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Multi any file path'),
              ),
              onPressed: () async {
                var path = await Helper.filePickerHelper.multipleAnyFilePath();
                print(path);
              },
            ),
          ),
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Multi image from photos'),
              ),
              onPressed: () async {
                var files = await Helper.filePickerHelper.multipleImageFile();
                print(files);
              },
            ),
          ),
          Card(
            child: FlatButton(
              padding: EdgeInsets.all(0),
              child: ListTile(
                title: Text('Multi image path from photos'),
              ),
              onPressed: () async {
                var path =
                    await Helper.filePickerHelper.multipleImageFilePath();
                print(path);
              },
            ),
          ),
        ],
      ),
    );
  }
}
