import 'package:flutter/material.dart';
import 'package:carousel_slider/carousel_slider.dart';

class CarouseSliderWidget extends StatelessWidget {
  final double height;
  final List<Widget> items;

  CarouseSliderWidget({this.height, this.items});

  @override
  Widget build(BuildContext context) {
    return CarouselSlider(
      height: height,
      autoPlay: true,
      autoPlayInterval: Duration(seconds: 3),
      autoPlayAnimationDuration: Duration(milliseconds: 800),
      autoPlayCurve: Curves.fastOutSlowIn,
      pauseAutoPlayOnTouch: Duration(seconds: 10),
      enlargeCenterPage: true,
      scrollDirection: Axis.horizontal,
      items: items,
    );
  }
}
