import 'package:flutter/material.dart';
import 'package:flutter_kz_library/src/helpers/FunctionHelper.dart';

class ImageLocalWidget extends StatelessWidget {
  final String path;

  ImageLocalWidget({this.path});

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: BorderRadius.circular(8.0),
      child: Image(
        image: AssetImage(path),
        width: FunctionHelper().screenWidth(context, 80),
        fit: BoxFit.fill,
      ),
    );
  }
}

class ImageNetworkWidget extends StatelessWidget {
  final String path;

  ImageNetworkWidget({this.path});

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: BorderRadius.circular(8.0),
      child: Image(
        image: NetworkImage(path),
        width: FunctionHelper().screenWidth(context, 80),
        fit: BoxFit.fill,
      ),
    );
  }
}
